Chromium Code Reviews
Help | Chromium Project | Sign in
(28)

Issue 2538883002: Detect H264 slices of the same frame in VEAUnittest (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 3 weeks ago by emircan
Modified:
1 month, 1 week ago
Reviewers:
wuchengli, Pawel Osciak
CC:
chromium-reviews, posciak+watch_chromium.org, piman+watch_chromium.org, feature-media-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Detect H264 slices of the same frame in VEAUnittest This CL adds checks similar to H264Decoder::IsNewPrimaryCodedPicture() to determine if the given H264 slice belongs to a new frame. On Mac and Win, we can have multiple slices per frame and this causes problems. Note that after this fix, I will add this test to chromium.gpu.fyi Mac bots. Windows will follow when bots get upgraded to Win 8.1. BUG=669678 TEST=Tested VEAUnittest on Macbook Air 2013. CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2538883002 Cr-Commit-Position: refs/heads/master@{#451086} Committed: https://chromium.googlesource.com/chromium/src/+/e80ab729b5fbe7b6ee7cf44551b0412a2e03f51f

Patch Set 1 #

Total comments: 2

Patch Set 2 : Refactor into static methods. #

Total comments: 18

Patch Set 3 : posciak@ comments. #

Patch Set 4 : Win clang build issues. #

Total comments: 12

Patch Set 5 : #

Total comments: 2

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+167 lines, -97 lines) Patch
M media/gpu/BUILD.gn View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M media/gpu/h264_decoder.h View 1 2 3 4 2 chunks +12 lines, -3 lines 0 comments Download
M media/gpu/h264_decoder.cc View 1 2 3 chunks +100 lines, -90 lines 0 comments Download
M media/gpu/video_encode_accelerator_unittest.cc View 1 2 3 4 5 5 chunks +54 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 57 (42 generated)
emircan
PTAL.
3 months, 3 weeks ago (2016-11-29 22:34:25 UTC) #6
Pawel Osciak
https://codereview.chromium.org/2538883002/diff/1/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2538883002/diff/1/media/gpu/video_encode_accelerator_unittest.cc#newcode694 media/gpu/video_encode_accelerator_unittest.cc:694: bool H264Validator::IsNewPrimaryCodedPicture(const H264SliceHeader* slice_hdr, Perhaps we would be able ...
3 months, 3 weeks ago (2016-11-30 02:05:22 UTC) #10
emircan
https://codereview.chromium.org/2538883002/diff/1/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2538883002/diff/1/media/gpu/video_encode_accelerator_unittest.cc#newcode694 media/gpu/video_encode_accelerator_unittest.cc:694: bool H264Validator::IsNewPrimaryCodedPicture(const H264SliceHeader* slice_hdr, On 2016/11/30 02:05:22, Pawel Osciak ...
3 months, 3 weeks ago (2016-12-05 21:24:31 UTC) #13
emircan
Friendly ping
3 months, 2 weeks ago (2016-12-12 20:26:24 UTC) #17
emircan
Friendly ping again :) Also, adding wuchengli@ to take a look if he has time.
3 months, 1 week ago (2016-12-19 18:18:12 UTC) #19
Pawel Osciak
https://codereview.chromium.org/2538883002/diff/40001/media/gpu/h264_decoder.cc File media/gpu/h264_decoder.cc (right): https://codereview.chromium.org/2538883002/diff/40001/media/gpu/h264_decoder.cc#newcode1356 media/gpu/h264_decoder.cc:1356: bool H264Decoder::InitPictureFromSliceHeader(int curr_sps_id, Perhaps we could instead return a ...
3 months, 1 week ago (2016-12-20 08:34:22 UTC) #20
emircan
https://codereview.chromium.org/2538883002/diff/40001/media/gpu/h264_decoder.cc File media/gpu/h264_decoder.cc (right): https://codereview.chromium.org/2538883002/diff/40001/media/gpu/h264_decoder.cc#newcode1356 media/gpu/h264_decoder.cc:1356: bool H264Decoder::InitPictureFromSliceHeader(int curr_sps_id, On 2016/12/20 08:34:22, Pawel Osciak wrote: ...
2 months, 3 weeks ago (2017-01-03 19:29:00 UTC) #23
emircan
Friendly ping. I need this fix to land before adding it to chromium.gpu.fyi Mac bots. ...
1 month, 2 weeks ago (2017-02-10 18:55:07 UTC) #35
Pawel Osciak
https://codereview.chromium.org/2538883002/diff/100001/media/gpu/h264_decoder.h File media/gpu/h264_decoder.h (right): https://codereview.chromium.org/2538883002/diff/100001/media/gpu/h264_decoder.h#newcode120 media/gpu/h264_decoder.h:120: // Createsa H264Picture from given params. Return nullptr when ...
1 month, 1 week ago (2017-02-14 09:27:34 UTC) #36
emircan
https://codereview.chromium.org/2538883002/diff/100001/media/gpu/h264_decoder.h File media/gpu/h264_decoder.h (right): https://codereview.chromium.org/2538883002/diff/100001/media/gpu/h264_decoder.h#newcode120 media/gpu/h264_decoder.h:120: // Createsa H264Picture from given params. Return nullptr when ...
1 month, 1 week ago (2017-02-14 22:58:45 UTC) #39
Pawel Osciak
lgtm % nit https://codereview.chromium.org/2538883002/diff/120001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2538883002/diff/120001/media/gpu/video_encode_accelerator_unittest.cc#newcode683 media/gpu/video_encode_accelerator_unittest.cc:683: curr_pic_, curr_pps_id_, h264_parser_.GetSPS(curr_sps_id_), slice_hdr); The first ...
1 month, 1 week ago (2017-02-16 09:12:12 UTC) #44
emircan
https://codereview.chromium.org/2538883002/diff/120001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2538883002/diff/120001/media/gpu/video_encode_accelerator_unittest.cc#newcode683 media/gpu/video_encode_accelerator_unittest.cc:683: curr_pic_, curr_pps_id_, h264_parser_.GetSPS(curr_sps_id_), slice_hdr); On 2017/02/16 09:12:12, Pawel Osciak ...
1 month, 1 week ago (2017-02-16 17:55:47 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2538883002/140001
1 month, 1 week ago (2017-02-16 18:39:34 UTC) #53
commit-bot: I haz the power
Committed patchset #6 (id:140001) as https://chromium.googlesource.com/chromium/src/+/e80ab729b5fbe7b6ee7cf44551b0412a2e03f51f
1 month, 1 week ago (2017-02-16 20:28:42 UTC) #56
kcwu
1 month ago (2017-02-20 02:51:05 UTC) #57
Message was sent while issue was closed.
A revert of this CL (patchset #6 id:140001) has been created in
https://codereview.chromium.org/2707793002/ by kcwu@chromium.org.

The reason for reverting is: This CL breaks many CTS/GTS tests.
crbug.com/694094.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62